var $AdfDhtmlTextPeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfDhtmlValuePeer$$, "AdfDhtmlTextPeer");
$goog$exportSymbol$$("AdfDhtmlTextPeer", $AdfDhtmlTextPeer$$);
$AdfDhtmlTextPeer$$.$InitSubclass$ = function $$AdfDhtmlTextPeer$$$$InitSubclass$$() {
  this.$_inlineEditor$ = null;
};
$goog$exportSymbol$$("AdfDhtmlTextPeer.InitSubclass", $AdfDhtmlTextPeer$$.$InitSubclass$);
$AdfDhtmlTextPeer$$.prototype.$SetDisplayValue$ = function $$AdfDhtmlTextPeer$$$$$SetDisplayValue$$($component$$2240_currParent$$inline_4838$$, $domElement$$566$$, $newValue$$171$$) {
  if ($component$$2240_currParent$$inline_4838$$.getEscape()) {
    $AdfAgent$$.$AGENT$.$setTextContent$($domElement$$566$$, $newValue$$171$$);
  } else {
    if ("SCRIPT" !== $domElement$$566$$.tagName) {
      $domElement$$566$$.innerHTML = $newValue$$171$$;
    } else {
      $component$$2240_currParent$$inline_4838$$ = $domElement$$566$$.parentNode;
      for (var $children$$inline_6314$$ = [], $childCount$$inline_4840_endId$$inline_6315$$ = $domElement$$566$$.id + "_end", $currChild$$inline_6316_i$$inline_4841$$ = $domElement$$566$$.nextSibling;$currChild$$inline_6316_i$$inline_4841$$ && $currChild$$inline_6316_i$$inline_4841$$.id !== $childCount$$inline_4840_endId$$inline_6315$$;) {
        $children$$inline_6314$$.push($currChild$$inline_6316_i$$inline_4841$$), $currChild$$inline_6316_i$$inline_4841$$ = $currChild$$inline_6316_i$$inline_4841$$.nextSibling;
      }
      $childCount$$inline_4840_endId$$inline_6315$$ = $children$$inline_6314$$.length;
      for ($currChild$$inline_6316_i$$inline_4841$$ = 0;$currChild$$inline_6316_i$$inline_4841$$ < $childCount$$inline_4840_endId$$inline_6315$$;$currChild$$inline_6316_i$$inline_4841$$++) {
        $component$$2240_currParent$$inline_4838$$.removeChild($children$$inline_6314$$[$currChild$$inline_6316_i$$inline_4841$$]);
      }
      $domElement$$566$$.insertAdjacentHTML("afterend", $newValue$$171$$);
    }
  }
  return !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlTextPeer.prototype.SetDisplayValue", {$SetDisplayValue$:$AdfDhtmlTextPeer$$.prototype.$SetDisplayValue$});
$AdfDhtmlTextPeer$$.prototype.$GetDisplayValue$ = function $$AdfDhtmlTextPeer$$$$$GetDisplayValue$$($component$$2241$$, $domElement$$567$$) {
  $AdfDomUtils$$.$stripScripts$($domElement$$567$$);
  return $component$$2241$$.getEscape() ? $AdfAgent$$.$AGENT$.$getTextContent$($domElement$$567$$) : $domElement$$567$$.innerHTML;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlTextPeer.prototype.GetDisplayValue", {$GetDisplayValue$:$AdfDhtmlTextPeer$$.prototype.$GetDisplayValue$});
$AdfDhtmlTextPeer$$.prototype.$GetInlineEditor$ = function $$AdfDhtmlTextPeer$$$$$GetInlineEditor$$() {
  var $inlineEditor$$9$$ = $AdfDhtmlTextPeer$$.$_inlineEditor$;
  null == $inlineEditor$$9$$ && ($inlineEditor$$9$$ = new $AdfRichPlainTextEditor$$("value"), $AdfDhtmlTextPeer$$.$_inlineEditor$ = $inlineEditor$$9$$);
  return $inlineEditor$$9$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlTextPeer.prototype.GetInlineEditor", {$GetInlineEditor$:$AdfDhtmlTextPeer$$.prototype.$GetInlineEditor$});
$AdfDhtmlTextPeer$$.prototype.$getConvertedValue$ = function $$AdfDhtmlTextPeer$$$$$getConvertedValue$$($component$$2242$$, $submittedValue$$30$$) {
  null == $component$$2242$$ && ($component$$2242$$ = this.$getComponent$());
  if ($component$$2242$$.getConverter) {
    var $converter$$23$$ = $component$$2242$$.getConverter();
    if (null != $converter$$23$$ && !($converter$$23$$ instanceof $AdfMissingConverter$$)) {
      return $AdfDhtmlTextPeer$$.$superclass$.$getConvertedValue$.call(this, $component$$2242$$, $submittedValue$$30$$);
    }
  }
  return $submittedValue$$30$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlTextPeer.prototype.getConvertedValue", {$getConvertedValue$:$AdfDhtmlTextPeer$$.prototype.$getConvertedValue$});
